ProjeQtOr free project management software - [SOLVED] ATTENTION : ProjeQtOr is not compatible with MySql V8.0.20 - ProjeQtOr
 

[SOLVED] ATTENTION : ProjeQtOr is not compatible with MySql V8.0.20

More
25 May 2020 12:18 - 25 May 2020 12:18 #1 by babynus
Hi,

Take care that ProjeQtOr is not compatible with MySql V8.0.20.
This "patch" version of MySql brings major change on storing INT fields that leads to breaking our persistence framework.

This issue does not occur with MySql V8.0.16 and MySql V8.0.18.
This issue does not occur with MariaDB.

So do not migrate or try to use MySql V8.0.20.

Babynus
Administrator of ProjeQtOr web site
Last edit: 25 May 2020 12:18 by babynus.

Please Log in or Create an account to join the conversation.

More
28 Jul 2020 11:42 #2 by jeanmoulin
I just installed the last version of projeqtor (I had a very old version) and pull down menus are not displayed (project type for instance) : I used mysql V8.0.20 : can this be the cause of the probleme ??

Please Log in or Create an account to join the conversation.

More
28 Jul 2020 12:24 #3 by babynus
Possibly you have a cache issue : clean the cache of your browser may fix the menue issue.

No version of projeqtor is compatible with MySql V8.0.20 (neither old version, nor existing ones).
Only V8.6.0 (under develpment) will be compatible with MySql V8.0.20.

I guess you add on same time migration of DB and migration of projeqtor.
It is not recommended to do 2 migrations on same time : you never know wich is source of issue when you meet one.

Babynus
Administrator of ProjeQtOr web site

Please Log in or Create an account to join the conversation.

More
28 Jul 2020 13:51 #4 by jeanmoulin
Its doesn't seems to be a browser cache issue, one of the first thing I did was to clear the cache (several time). I also tried with different browsers (Firefox and chrome), and from different PC.
I didn't do any migration : I installed the new version from scratch on a new server. I will erase everything and install again with a different version of mysql, hopefully today or tomorrow.
I searched the forum to find a message dealing with this kind of problem but couldn't find any, so when I saw this post I tought maybe it could come from the mysql version.
I deleting everything and re-instaling doesn't work I'll put a specific post on the forum asking for help

Please Log in or Create an account to join the conversation.

More
28 Jul 2020 16:00 #5 by babynus

I didn't do any migration : I installed the new version from scratch on a new server

If you install on new server it is a technical migration. In most cases, versions of sofwares will differ from one server to another (except if servers are cloned)

So, when you realise a technical migration (change of server is a major technical migration), install same version are the original one, and install all until all is running fine.
When all is done and tested, then you can try to migrate projeqtor to new version.

Babynus
Administrator of ProjeQtOr web site

Please Log in or Create an account to join the conversation.

More
28 Jul 2020 16:12 - 28 Jul 2020 16:14 #6 by jeanmoulin
you misunderstand me : there is no migration. I took a brand new server where projeqtor had never been installed at all, I downloaded the last version of projeqtor and I installed it on this new server, then i accessed it and discovered that the pull-down menu had a problem. So no migration here, just an installation of projeqtor on a new machine.

and of course I have the old version of projetor that I have been used so far still running on another server, but this is not relevant.
Last edit: 28 Jul 2020 16:14 by jeanmoulin.

Please Log in or Create an account to join the conversation.

Moderators: babynusprotion
Time to create page: 0.038 seconds